diff --git a/tests/kernel/mem_slab/mslab/src/slab.c b/tests/kernel/mem_slab/mslab/src/slab.c
index 3f3227f70a54..ae7644231d93 100644
--- a/tests/kernel/mem_slab/mslab/src/slab.c
+++ b/tests/kernel/mem_slab/mslab/src/slab.c
@@ -31,7 +31,7 @@
 /* Number of memory blocks. The minimum number of blocks needed to run the
  * test is 2
  */
-#define NUMBLOCKS   2
+#define NUMBLOCKS   4
 
 void test_slab_get_all_blocks(void **p);
 void test_slab_free_all_blocks(void **p);
@@ -102,6 +102,7 @@ void helper_thread(void)
 
 
 	k_sem_give(&SEM_HELPERDONE);
+
 }  /* helper thread */
 
 
diff --git a/tests/kernel/mem_slab/mslab/testcase.yaml b/tests/kernel/mem_slab/mslab/testcase.yaml
index ca1b6a5d250e..b5c96674683c 100644
--- a/tests/kernel/mem_slab/mslab/testcase.yaml
+++ b/tests/kernel/mem_slab/mslab/testcase.yaml
@@ -1,3 +1,4 @@
 tests:
   kernel.memory_slabs:
     tags: bat_commit core
+    min_ram: 16
